import com.ibm.bsf.*;   // BSF support
// import org.apache.bsf.*;   // BSF support
import java.io.*;       // exception handling

/** Test Java program which demonstrates how easy it is to invoke Rexx via BSF.
 * @author   Rony G. Flatscher, 2001-04-27
 */
public class TestSimpleExec {

  /** Running an in-line defined Rexx script. */
  public static void main (String[] args) throws IOException
  {
    try
    {
      BSFManager mgr  = new BSFManager ();
      BSFEngine  rexx = mgr.loadScriptingEngine("rexx");
      String     rexxCode = "SAY 'Rexx was here!'";

                // invoke Rexx and retrieve its return value
      rexx.exec ("rexx", 0, 0, rexxCode);

    }
    catch (BSFException e)
    {
      e.printStackTrace();
    }
  }
}

