/* ---rgf, 2003-03-10, 2003-03-05, 2003-04-16, 2003-04-22, 2003-08-14, 2005-06-05, 2005-08-23 */

if rxFuncQuery("BSF") = 1 then   /* BSF() support not loaded yet ? */
do
   call rxFuncAdd "BsfLoadFuncs", "BSF4Rexx", "BsfLoadFuncs"
   /* BsfLoadJava() is not available on all ports; if missing, then invoke your script
      via "rexxj" (Apache-BSF) or "rexxji" (IBM-BSF) instead  */
   call BsfLoadFuncs

   call BsfLoadJava
end

parse version version
parse source s
say 'Rexx interpreter: ' version
say 'Rexx source:      ' s
say 'BSF4Rexx (DLL/so):' bsfVersion()
say 'Java Rexx engine: ' bsf("version")
say

   /* show the Java version in use for this invocation */
say 'Java version:     ' pp(getJavaProperty('java.version' ))
op_sys=getJavaProperty("os.name") "(version" getJavaProperty("os.version")"," getJavaProperty("os.arch")")"
say 'Java op-sys infos:' pp(op_sys)
say
say 'Java home dir:    ' pp(getJavaProperty('java.home' ))
say 'Java library path:' pp(getJavaProperty('java.library.path' ))
say 'Java class path:  ' pp(getJavaProperty('java.class.path' ))
say


text="directly by Rexx (and loaded Java)"
if BsfInvokedBy()=1 then text="via Java"
say "This Rexx script was invoked:" text

say
call BsfQueryRegisteredFunctions "s."
say "The following BSF-functions are registered with Rexx:"
do i=1 to s.0
   say "  " s.i
end
exit

pp: procedure
  return "[" || arg(1) || "]"

getJavaProperty: procedure
   return bsf('invoke', 'System.class', 'getProperty', arg(1) )

