/* AlterZoom2.rex, Matthias Prem, 2006, Rony G. Flatscher, 2007, WU Wien */
/* Macro */
   /* get the script context and the desktop */
xScriptContext=uno.getScriptContext()
xModel=xScriptContext~getDocument

   /* get current component (Writer) and its XViewSettings properties */
supp=xModel~getCurrentController~XSelectionSupplier
viewProps=supp~XViewSettingsSupplier~ViewSettings~XPropertySet

   /* access the static fields of DocumentZoomType */
dzt=bsf.wrapStaticFields("com.sun.star.view.DocumentZoomType")

   /* show different zooms with a 1 sec pause */
viewProps~setPropertyValue("ZoomType",  box("Short", dzt~page_width))
.bsf.dialog~messageBox("ZoomType: PAGE_WIDTH")

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~entire_page))
.bsf.dialog~messageBox("ZoomType: ENTIRE_PAGE")

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~page_width_exact))
.bsf.dialog~messageBox("ZoomType: PAGE_WIDTH_EXACT")

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~by_Value))
viewProps~setPropertyValue("ZoomValue", box("Short", 200))
.bsf.dialog~messageBox("ZoomType: BY_VALUE, ZoomValue: 200")

viewProps~setPropertyValue("ZoomValue", box("Short", 10))
.bsf.dialog~messageBox("ZoomType: BY_VALUE, ZoomValue: 10")

viewProps~setPropertyValue("ZoomType",  box("Short", dzt~optimal))
.bsf.dialog~messageBox("ZoomType: OPTIMAL")

::requires UNO.CLS

