
   /* initialize connection to server, get XContext */
xContext = UNO.connect()  -- connect to server and retrieve the XContext object
XMcf = xContext~getServiceManager   -- retrieve XMultiComponentFactory

say "xContext~uno.getTypeName="pp(XContext~uno.getTypeName)
say ppd( xContext~uno.getDefinition )
say "---"
say "xMcf~uno.getTypeName    ="pp(xMcf~uno.getTypeName)
say ppd( xMcf~uno.getDefinition )
say "---"
say "a:"
pmName="/singletons/com.sun.star.deployment.thePackageManagerFactory"
a= xContext~getValueByName(pmName)
say "a:" a~toString
say "a:" a~uno.getTypeName":"
say "a:" ppd(a~uno.getDefinition)
say "---"
say "a:" ppd(a~uno.getXTypeProviderTypeNames)
say "---" "---"

say "a2:"
a2=a~XPackageManagerFactory~getPackageManager("user") -- "shared" would be the alternative
say "a2:" a2~toString
say "a2:" a2~uno.getTypeName":"
say "a2:" ppd(a2~uno.getDefinition)
say "---"
say "a2:" ppd(a2~uno.getXTypeProviderTypeNames)
say "---" "---"

/*
say "a3:"
a3=a2~XPackageManager -- "user" would be the alternative
say a3~toString
say a3~uno.getTypeName":"
say ppd(a3~uno.getDefinition)
say "---"
say ppd(a3~uno.getXTypeProviderTypeNames)
say "---" "---"
*/
say "a2~getContext:" a2~getContext
dps=a2~getDeployedPackages(.nil, .nil)
say "dps="pp(dps)
say "-->" pp(dps~toString) pp(dps~items)


-- do dp over a2~getDeployedPackages(.nil, .nil)
do dp over a2~getDeployedPackages(.nil, .nil)
    say "deployedPackage, registered:" pp(dp~isRegistered(.nil, .nil)) pp(dp~getName) pp(dp~getURL)
    say "deployedPackage, registered:" pp(dp~isRegistered(.nil, .nil)~value)
    say "deployedPackage, registered:" pp(dp~isRegistered(.nil, .nil)~value~value)
end

---
say "===================0000"
say "a2_2:"
a2_2=a~XPackageManagerFactory~getPackageManager("shared") -- "user" would be the alternative
say "---"
say a2_2~toString "-" pp(a2_2~uno.getTypeName)":"
say
say "a2_2~uno.getDefinition:"
say "09"x || ppd(a2_2~uno.getDefinition)
say
say "a2_2~uno.getXTypeProviderTypeNames:"
say "09"x || ppd(a2_2~uno.getXTypeProviderTypeNames)
say "---" "---"


say "a2_2~getContext:" a2_2~getContext
dps=a2_2~getDeployedPackages(.nil, .nil)
say "dps="pp(dps)
say "-->" pp(dps~toString) pp(dps~items)

say "dps[2]="pp(dps[2]~toString)

-- do dp over a2_2~getDeployedPackages(.nil, .nil)
i=0
do dp over dps -- a2_2~getDeployedPackages(.nil, .nil)
   i=i+1
   -- dp=uno.wrap(dp)   -- wrap up the array object as an UNO object
   say copies("-",40)
   say i "of" dps~items":"
   call dumpPackageInfo dp
end




/* works, but does not help!
-->
pmd=xMcf~createInstanceWithContext("com.sun.star.deployment.ui.PackageManagerDialog", xContext)
xed=pmd~XExecutableDialog
xed~setTitle("Von Rony!")
i=3
say i "Sekunden Schlaf!"
call sysSleep i
a=xed~execute
say "Und weiter geht's, a="a
<---
*/

/*
arrInt34=uno.createArray(.bsf4rexx~integer.class, 3, 4)
say "arrInteger34="pp(arrInt34)
arrInt34=uno.createArray(.bsf4rexx~int, 3, 4)
say "arrInt34="pp(arrInt34)
arrInt34=uno.createArray(.bsf4rexx~string.class, 3, 4)
say "arrString34="pp(arrInt34)
*/

l=.list~of(.bsf4rexx~boolean, .bsf4rexx~byte, .bsf4rexx~char, .bsf4rexx~double, -
           .bsf4rexx~float,   .bsf4rexx~int,  .bsf4rexx~long, .bsf4rexx~short,  -
           .bsf4rexx~string.class,            .bsf4rexx~boolean.class,          -
           .uno~propertyValue)
do e over l
   arrInt34=uno.createArray(e, 3, 4)
   say (pp(e)":")~left(30) pp(arrInt34)
end




::requires UNO.CLS    -- get UNO support


::routine dumpPackageInfo
   use arg dp, tab

   if arg(2,"o") then tab="09"x

   say tab "dp~toString:       " pp(dp~toString)

   -- say "   dp~uno.GetTypeName:" pp(dp~uno.getTypeName)
                                      dp~uno.getTypeName
   -- say "---> --->" ppd(dp~uno.getDefinition)
   -- say "    deployedPackage, registered:" pp(dp~isRegistered) pp(dp~getName) pp(dp~getURL)
   -- dp0=dp~XPackage

   -- *very* weird datatype, instead of a plain boolean!!
   --     ::com::sun::star::beans::Optional< ::com::sun::star::beans::Ambiguous< boolean > >
   -- we therefore need *TWO* "value" messages, until we arrive at the Boolean value
   say tab "registered:    " pp(dp~isRegistered(.nil, .nil)~value~value)

   say tab "isBundle:      " pp(dp~isBundle)
   if dp~isBundle=.true then
   do
      do item over dp~getBundle(.nil, .nil)
         -- since 2006-07-16/17 not necessary anymore, wrapping-up will be done automatically
         -- o=uno.wrap(item)     -- wrap object as a UNO object
         o=item
         call dumpPackageInfo o, tab tab
      end
   end

   say tab "getName:       " pp(dp~getName)
   say tab "getURL:        " pp(dp~getURL)
   say tab "getDisplayName:" pp(dp~getURL)
   say tab "getDescription:" pp(dp~getURL)

   pt=dp~getPackageType
   say tab "getPackageType:" pp(dp~getURL)
   call dumpPackageTypeInfo pt, tab tab

   say "---" tab "---" tab "---"



::routine dumpPackageTypeInfo
   use arg pt, tab

   if arg(2,"o") then tab="09"x

   say tab "--- ///\\\ ---"
   say tab "pt~toString:        " pp(pt~toString)
   say tab "getMediaType:       " pp(pt~getMediaType        )
   say tab "getDescription:     " pp(pt~getDescription      )
   say tab "getShortDescription:" pp(pt~getShortDescription )
   say tab "getFileFilter:      " pp(pt~getFileFilter       )
   say tab "--- \\\/// ---"
